<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:resources.j2c="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.j2c.xmi" xmlns:resources.jdbc="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jdbc.xmi" xmlns:resources.jms="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jms.xmi" xmlns:resources.mail="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.mail.xmi" xmlns:resources.url="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.url.xmi">
  <resources.jms:JMSProvider xmi:id="builtin_jmsprovider" name="WebSphere JMS Provider" description="V5 Default Messaging Provider" externalInitialContextFactory="" externalProviderURL=""/>
  <resources.jms:JMSProvider xmi:id="builtin_mqprovider" name="WebSphere MQ JMS Provider" description="WebSphere MQ Messaging Provider" externalInitialContextFactory="" externalProviderURL=""/>
  <resources.j2c:J2CResourceAdapter xmi:id="builtin_rra" name="WebSphere Relational Resource Adapter" description="Built-in Relational Resource Adapter for WebSphere Persistence" archivePath="${WAS_LIBS_DIR}/rsadapter.rar">
    <classpath>${WAS_LIBS_DIR}/rsadapter.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_8">
      <resourceProperties xmi:id="J2EEResourceProperty_1095099855682" name="InactiveConnectionSupport" type="java.lang.Boolean" value="true" description="Specify whether connection handles support implicit reactivation. (Smart Handle support). Value may be &quot;true&quot; or &quot;false&quot;."/>
      <resourceProperties xmi:id="J2EEResourceProperty_1095099855683" name="TransactionResourceRegistration" type="java.lang.String" value="dynamic" description="Type of transaction resource registration (enlistment).  Valid values are either &quot;static&quot; (immediate) or &quot;dynamic&quot; (deferred)."/>
    </propertySet>
    <deploymentDescriptor xmi:id="Connector_1054132487569" displayName="WS_RdbResourceAdapter" vendorName="IBM" specVersion="1.0" eisType="RRA" version="6.0">
      <icons xmi:id="IconType_1054132487569" smallIcon="rdb_small_icon.jpg" largeIcon="rdb_large_icon.jpg"/>
      <displayNames xmi:id="DisplayName_1054132487569" value="WS_RdbResourceAdapter"/>
      <descriptions xmi:id="Description_1054132487569" value="IBM Relational ResourceAdapter"/>
      <license xmi:id="License_1054132487569" description="IBM Relational ResourceAdapter" required="false"/>
      <resourceAdapter xmi:id="ResourceAdapter_1054132487569" managedConnectionFactoryClass="com.ibm.ws.rsadapter.spi.WSManagedConnectionFactoryImpl" connectionFactoryInterface="javax.resource.cci.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionFactoryImpl" connectionInterface="javax.resource.cci.Connection" connectionImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionImpl" transactionSupport="XATransaction" reauthenticationSupport="false">
        <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487589" description="BasicPassword authentication" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential"/>
        <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487590" description="Kerbv5 Authentication" authenticationMechanismType="Kerbv5" credentialInterface="javax.resource.spi.security.GenericCredential"/>
      </resourceAdapter>
    </deploymentDescriptor>
  </resources.j2c:J2CResourceAdapter>
  <resources.mail:MailProvider xmi:id="builtin_mailprovider" name="Built-in Mail Provider" description="The built-in mail provider">
    <protocolProviders xmi:id="builtin_smtp" protocol="smtp" classname="com.sun.mail.smtp.SMTPTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3" protocol="pop3" classname="com.sun.mail.pop3.POP3Store" type="STORE"/>
    <protocolProviders xmi:id="builtin_imap" protocol="imap" classname="com.sun.mail.imap.IMAPStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_smtps" protocol="smtps" classname="com.sun.mail.smtp.SMTPSSLTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3s" protocol="pop3s" classname="com.sun.mail.pop3.POP3SSLStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_imaps" protocol="imaps" classname="com.sun.mail.imap.IMAPSSLStore" type="STORE"/>
  </resources.mail:MailProvider>
  <resources.url:URLProvider xmi:id="URLProvider_1" name="Default URL Provider" streamHandlerClassName="unused" protocol="unused"/>
  <resources.jdbc:JDBCProvider xmi:id="builtin_jdbcprovider" name="Derby JDBC Provider (XA)" description="Built-in Derby JDBC Provider (XA)" providerType="Derby JDBC Provider (XA)" implementationClassName="org.apache.derby.jdbc.EmbeddedXADataSource" xa="true">
    <classpath>${DERBY_JDBC_DRIVER_PATH}/derby.jar</classpath>
  </resources.jdbc:JDBCProvider>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1290632373491" name="SIB JMS Resource Adapter" description="Default messaging provider" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar" threadPoolAlias="SIBJMSRAThreadPool">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1290632373491"/>
    <deploymentDescriptor xmi:id="Connector_1290632373491" displayName="WebSphere Default Messaging Provider" vendorName="IBM" specVersion="1.5" eisType="JMS Provider" version="0.3">
      <displayNames xmi:id="DisplayName_1290632373491" value="WebSphere Default Messaging Provider"/>
      <displayNames xmi:id="DisplayName_1290632373492" value="WebSphere Default Messaging Provider"/>
      <resourceAdapter xmi:id="ResourceAdapter_1290632373491" transactionSupport="NoTransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaResourceAdapterImpl">
        <outboundResourceAdapter xmi:id="OutboundResourceAdapter_1290632373491" reauthenticationSupport="false" transactionSupport="XATransaction">
          <connectionDefinitions xmi:id="ConnectionDefinition_1290632373491" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedQueueConnectionFactoryImpl" connectionFactoryInterface="javax.jms.QueueConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnFactoryImpl" connectionInterface="javax.jms.QueueConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1290632373491" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373492" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373493" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373494" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373495" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373496" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373497" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1290632373498" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373499" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1290632373500" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1290632373501" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373502" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373503" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373504" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1290632373505" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373506" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373507" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373508" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1290632373492" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedTopicConnectionFactoryImpl" connectionFactoryInterface="javax.jms.TopicConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnFactoryImpl" connectionInterface="javax.jms.TopicConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1290632373509" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373510" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373511" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373512" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373513" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373514" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373515" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373516" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1290632373517" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373518" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1290632373519" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1290632373520" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373521" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373522" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373523" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1290632373524" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373525" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373526" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1290632373527" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373528" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1290632373493" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedConnectionFactoryImpl" connectionFactoryInterface="javax.jms.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnFactoryImpl" connectionInterface="javax.jms.Connection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1290632373529" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373530" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373531" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373532" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373533" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373534" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1290632373535" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373536" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1290632373537" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373538" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1290632373539" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1290632373540" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373541" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373542" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373543" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1290632373544" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373545" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1290632373546" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373547" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1290632373548" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1290632373549" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1290632373494" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential"/>
        </outboundResourceAdapter>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1290632373494">
          <messageAdapter xmi:id="MessageAdapter_1290632373494">
            <messageListeners xmi:id="MessageListener_1290632373494" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1290632373494" activationSpecClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373494" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373495" name="destinationType"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373496" name="busName"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
        <adminObjects xmi:id="AdminObject_1290632373494" adminObjectInterface="javax.jms.Queue" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsQueueImpl">
          <configProperties xmi:id="ConfigProperty_1290632373550" name="QueueName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1290632373551" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1290632373552" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1290632373553" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1290632373554" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1290632373555" name="BusName" type="java.lang.String"/>
        </adminObjects>
        <adminObjects xmi:id="AdminObject_1290632373495" adminObjectInterface="javax.jms.Topic" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsTopicImpl">
          <configProperties xmi:id="ConfigProperty_1290632373556" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space"/>
          <configProperties xmi:id="ConfigProperty_1290632373557" name="TopicName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1290632373558" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1290632373559" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1290632373560" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1290632373561" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1290632373562" name="BusName" type="java.lang.String"/>
        </adminObjects>
      </resourceAdapter>
    </deploymentDescriptor>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1290632373496" ConnectionDefinition="ConnectionDefinition_1290632373491">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373496" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373497" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373498" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373499" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373500" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373501" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373502" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373503" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373504" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373505" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373506" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373507" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373508" name="shareDurableSubscriptions" type="java.lang.String" value="AsCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373509" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373510" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373511" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373512" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373513" name="temporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373514" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373515" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373516" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1290632373497" ConnectionDefinition="ConnectionDefinition_1290632373492">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373517" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373518" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373519" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373520" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373521" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373522" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373523" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373524" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373525" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373526" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373527" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373528" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373529" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373530" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373531" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373532" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373533" name="temporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373534" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373535" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373536" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373537" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1290632373498" ConnectionDefinition="ConnectionDefinition_1290632373493">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373538" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373539" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373540" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373541" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373542" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373543" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373544" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373545" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373546" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373547" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373548" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373549" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373550" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373551" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373552" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373553" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373554" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373555" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373556" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373557" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373558" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1290632373499" activationSpec="ActivationSpec_1290632373494">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373559" name="acknowledgeMode" type="java.lang.String" value="Auto-acknowledge" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373560" name="alwaysActivateAllMDBs" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373561" name="AutoStopSequentialMessageFailure" type="java.lang.Integer" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373562" name="busName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373563" name="clientId" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373564" name="destination" type="javax.jms.Destination" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373565" name="destinationType" type="java.lang.String" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373566" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373567" name="failingMessageDelay" type="java.lang.Long" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373568" name="maxBatchSize" type="java.lang.Integer" value="1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373569" name="maxConcurrency" type="java.lang.Integer" value="10" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373570" name="maxSequentialMessageFailure" type="java.lang.Integer" value="-1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373571" name="messageSelector" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373572" name="password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373573" name="providerEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373574" name="readAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373575" name="retryInterval" type="java.lang.Integer" value="30" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373576" name="shareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373577" name="shareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373578" name="subscriptionDurability" type="java.lang.String" value="NonDurable" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373579" name="subscriptionName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373580" name="target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373581" name="targetSignificance" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373582" name="targetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373583" name="targetType" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373584" name="userName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373585" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373586" name="ForwarderDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373587" name="useServerSubject" type="java.lang.Boolean" required="false"/>
      <complexPropertySet xmi:id="J2EEResourcePropertySet_1290632373503">
        <resourceProperties xmi:id="J2EEResourceProperty_1290632373588" name="destination" type="javax.jms.Destination" required="false"/>
      </complexPropertySet>
    </activationSpecTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1290632373503" adminObject="AdminObject_1290632373494">
      <properties xmi:id="J2EEResourceProperty_1290632373589" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373590" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373591" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373592" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373593" name="QueueName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373594" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373595" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373596" name="TimeToLive" type="java.lang.Long" required="false"/>
    </adminObjectTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1290632373504" adminObject="AdminObject_1290632373495">
      <properties xmi:id="J2EEResourceProperty_1290632373597" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373598" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373599" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373600" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373601" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373602" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373603" name="TimeToLive" type="java.lang.Long" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373604" name="TopicName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1290632373605" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space" required="false"/>
    </adminObjectTemplateProps>
  </resources.j2c:J2CResourceAdapter>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1290632373565" name="WebSphere MQ Resource Adapter" description="WAS 7.0.0.1 Built In WebSphere MQ Resource Adapter" isolatedClassLoader="false" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar" threadPoolAlias="WMQJCAResourceAdapter" singleton="false" hACapability="RA_NO_HA" isEnableHASupport="false">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1290632373567">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373606" name="connectionConcurrency" type="int" value="5" description="connectionConcurrency" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373607" name="maxConnections" type="int" value="10" description="maxConnections" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373608" name="logWriterEnabled" type="boolean" value="true" description="logWriterEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373609" name="reconnectionRetryCount" type="int" value="5" description="reconnectionRetryCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373610" name="reconnectionRetryInterval" type="int" value="300000" description="reconnectionRetryInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373611" name="traceEnabled" type="boolean" value="false" description="traceEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373612" name="traceLevel" type="int" value="3" description="traceLevel" required="false"/>
    </propertySet>
    <deploymentDescriptor xmi:id="Connector_1290632373567" displayName="WebSphere MQ Resource Adapter" vendorName="International Business Machines Corporation (&quot;IBM&quot;)." specVersion="1.5" eisType="Java Message Service" version="7.0.1.3-k701-103-100812">
      <displayNames xmi:id="DisplayName_1290632373567" value="WebSphere MQ Resource Adapter"/>
      <license xmi:id="License_1290632373567" required="true">
        <descriptions xmi:id="Description_1290632373567" value="&#xA;&#x9;&#x9;&#x9;This software is licenced under the IBM International&#xA;&#x9;&#x9;&#x9;Program License Agreement (&quot;IPLA&quot;). For licence information,&#xA;&#x9;&#x9;&#x9;see the WebSphere MQ Licence Information (&quot;LI&quot;) available at&#xA;&#x9;&#x9;&#x9;http://www.ibm.com/software/sla/. The LI may also be found&#xA;&#x9;&#x9;&#x9;in a file in the WebSphere MQ installation directory.&#xA;&#x9;&#x9;"/>
      </license>
      <resourceAdapter xmi:id="ResourceAdapter_1290632373567" transactionSupport="XATransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.mq.connector.ResourceAdapterImpl">
        <securityPermissions xmi:id="SecurityPermission_1290632373567" description="Security Permissions for the JMS client" specification="&#xA;&#x9;&#x9;&#x9;&#x9;grant { &#xA;&#x9;&#x9;&#x9;&#x9;&#x9;permission java.security.AllPermission; &#xA;&#x9;&#x9;&#x9;&#x9;};&#xA;&#x9;&#x9;&#x9;"/>
        <configProperties xmi:id="ConfigProperty_1290632373567" description="connectionConcurrency" name="connectionConcurrency" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373568" description="maxConnections" name="maxConnections" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373569" description="logWriterEnabled" name="logWriterEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373570" description="reconnectionRetryCount" name="reconnectionRetryCount" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373571" description="reconnectionRetryInterval" name="reconnectionRetryInterval" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373572" description="traceEnabled" name="traceEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1290632373573" description="traceLevel" name="traceLevel" type="java.lang.String"/>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1290632373567">
          <messageAdapter xmi:id="MessageAdapter_1290632373567">
            <messageListeners xmi:id="MessageListener_1290632373567" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1290632373567" activationSpecClass="com.ibm.mq.connector.inbound.ActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373567" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1290632373568" name="destinationType"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
      </resourceAdapter>
    </deploymentDescriptor>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1290632373567" activationSpec="ActivationSpec_1290632373567">
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373613" name="CCSID" type="int" value="819" description="CCSID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373614" name="acknowledgeMode" type="int" value="1" description="acknowledgeMode" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373615" name="arbitraryProperties" type="java.lang.String" description="arbitraryProperties" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373616" name="brokerCCDurSubQueue" type="java.lang.String" value="SYSTEM.JMS.D.CC.SUBSCRIBER.QUEUE" description="brokerCCDurSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373617" name="brokerCCSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.CC.SUBSCRIBER.QUEUE" description="brokerCCSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373618" name="brokerControlQueue" type="java.lang.String" value="SYSTEM.BROKER.CONTROL.QUEUE" description="brokerControlQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373619" name="brokerPubQueue" type="java.lang.String" value="SYSTEM.BROKER.DEFAULT.STREAM" description="brokerPubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373620" name="brokerQueueManager" type="java.lang.String" description="brokerQueueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373621" name="brokerSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.SUBSCRIBER.QUEUE" description="brokerSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373622" name="brokerVersion" type="java.lang.String" value="1" description="brokerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373623" name="ccdtURL" type="java.lang.String" description="ccdtURL" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373624" name="channel" type="java.lang.String" value="SYSTEM.DEF.SVRCONN" description="channel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373625" name="cleanupInterval" type="long" value="3600000" description="cleanupInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373626" name="cleanupLevel" type="java.lang.String" value="SAFE" description="cleanupLevel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373627" name="clientID" type="java.lang.String" description="clientID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373628" name="clientId" type="java.lang.String" description="clientId" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373629" name="cloneSupport" type="java.lang.String" value="DISABLED" description="cloneSupport" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373630" name="connectionNameList" type="java.lang.String" value="localhost(1414)" description="connectionNameList" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373631" name="destination" type="java.lang.String" value="SYSTEM.DEFAULT.LOCAL.QUEUE" description="destination" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373632" name="destinationType" type="java.lang.String" value="javax.jms.Queue" description="destinationType" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373633" name="failIfQuiesce" type="boolean" value="true" description="failIfQuiesce" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373634" name="headerCompression" type="java.lang.String" value="NONE" description="headerCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373635" name="hostName" type="java.lang.String" value="localhost" description="hostName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373636" name="localAddress" type="java.lang.String" description="localAddress" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373637" name="maxMessages" type="int" value="1" description="maxMessages" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373638" name="maxPoolDepth" type="int" value="10" description="maxPoolDepth" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373639" name="messageBatchSize" type="int" value="10" description="messageBatchSize" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373640" name="messageCompression" type="java.lang.String" value="NONE" description="messageCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373641" name="messageRetention" type="java.lang.String" value="YES" description="messageRetention" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373642" name="messageSelection" type="java.lang.String" value="CLIENT" description="messageSelection" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373643" name="messageSelector" type="java.lang.String" description="messageSelector" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373644" name="password" type="java.lang.String" description="password" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373645" name="pollingInterval" type="int" value="5000" description="pollingInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373646" name="poolTimeout" type="int" value="300000" description="poolTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373647" name="port" type="int" value="1414" description="port" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373648" name="providerVersion" type="java.lang.String" value="UNSPECIFIED" description="providerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373649" name="queueManager" type="java.lang.String" description="queueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373650" name="readAheadAllowed" type="java.lang.String" value="DESTINATION" description="readAheadAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373651" name="receiveExit" type="java.lang.String" description="receiveExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373652" name="receiveExitInit" type="java.lang.String" description="receiveExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373653" name="rescanInterval" type="int" value="5000" description="rescanInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373654" name="securityExit" type="java.lang.String" description="securityExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373655" name="securityExitInit" type="java.lang.String" description="securityExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373656" name="sendExit" type="java.lang.String" description="sendExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373657" name="sendExitInit" type="java.lang.String" description="sendExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373658" name="shareConvAllowed" type="java.lang.String" value="YES" description="shareConvAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373659" name="sparseSubscriptions" type="java.lang.String" value="FALSE" description="sparseSubscriptions" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373660" name="sslCertStores" type="java.lang.String" description="sslCertStores" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373661" name="sslCipherSuite" type="java.lang.String" description="sslCipherSuite" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373662" name="sslFipsRequired" type="boolean" value="false" description="sslFipsRequired" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373663" name="sslPeerName" type="java.lang.String" description="sslPeerName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373664" name="sslResetCount" type="int" value="0" description="sslResetCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373665" name="sslSocketFactory" type="java.lang.String" description="sslSocketFactory" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373666" name="startTimeout" type="int" value="10000" description="startTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373667" name="statusRefreshInterval" type="int" value="60000" description="statusRefreshInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373668" name="subscriptionDurability" type="java.lang.String" value="NonDurable" description="subscriptionDurability" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373669" name="subscriptionName" type="java.lang.String" description="subscriptionName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373670" name="subscriptionStore" type="java.lang.String" value="MIGRATE" description="subscriptionStore" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373671" name="transportType" type="java.lang.String" value="CLIENT" description="transportType" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373672" name="useJNDI" type="boolean" value="false" description="useJNDI" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373673" name="username" type="java.lang.String" description="username" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1290632373674" name="wildcardFormat" type="java.lang.String" value="TOPIC" description="wildcardFormat" required="false"/>
    </activationSpecTemplateProps>
  </resources.j2c:J2CResourceAdapter>
</xmi:XMI>
